org.apache.ignite.ml.optimization.updatecalculators

## Interface ParameterUpdateCalculator<M,P extends Serializable>

- Type Parameters:
    `M` - Type of model to be updated.
    `P` - Type of parameters needed for this update calculator.
  All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    NesterovUpdateCalculator, RPropUpdateCalculator, SimpleGDUpdateCalculator

      public interface ParameterUpdateCalculator<M,P extends Serializable>
      extends Serializable

  Interface for classes encapsulating parameters updateCache logic.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `P` | `calculateNewUpdate(M mdl, P updaterParameters, int iteration, Matrix inputs, Matrix groundTruth)` Calculate new update.
    `P` | `init(M mdl, IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> loss)` Initializes the update calculator.
    `<M1 extends M> M1` | `update(M1 obj, P update)` Update given obj with this parameters.

- - ### Method Detail

    - #### init

          P init(M mdl,
                 IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> loss)

      Initializes the update calculator.
      Parameters:
        `mdl` - Model to be trained.
        `loss` - Loss function.
      Returns:
        Initialized parameters.

    - #### calculateNewUpdate

          P calculateNewUpdate(M mdl,
                               P updaterParameters,
                               int iteration,
                               Matrix inputs,
                               Matrix groundTruth)

      Calculate new update.
      Parameters:
        `mdl` - Model to be updated.
        `updaterParameters` - Updater parameters to updateCache.
        `iteration` - Current trainer iteration.
        `inputs` - Inputs.
        `groundTruth` - True values.
      Returns:
        Updated parameters.

    - #### update

          <M1 extends M> M1 update(M1 obj,
                                   P update)

      Update given obj with this parameters.
      Parameters:
        `obj` - Object to be updated.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021